## golang-github-bsm-go-vlq 0.0~git20150828.ec6e8d4

=== Makefile ===

default: test

test:
	go test . -v 1

bench:
	go test -test.run=NONE -test.bench=. -test.benchmem

=== debian/changelog ===
golang-github-bsm-go-vlq (0.0~git20150828.ec6e8d4-2) unstable; urgency=medium

  * Team Upload.
  * Correct package name for gomega in Depends
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Oct 2023 04:06:41 +0530

golang-github-bsm-go-vlq (0.0~git20150828.ec6e8d4-1) unstable; urgency=medium

  * Initial release (Closes: 1019543)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 21 Sep 2022 22:25:19 +0800

=== debian/control ===
Source: golang-github-bsm-go-vlq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-onsi-ginkgo-dev,
               golang-gomega-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bsm-go-vlq
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bsm-go-vlq.git
Homepage: https://github.com/bsm/go-vlq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bsm/go-vlq

Package: golang-github-bsm-go-vlq-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-onsi-ginkgo-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: variable-length quantity encoding library
 Implementation of "VLQ" encoding of 64-bit integers.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/bsm/go-vlq.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/bsm/go-vlq/tags .*/v?(\d\S*)\.tar\.gz debian
